import { $ } from '../../../../../../Class/$';
import { Done } from '../../../../../../Class/Functional/Done';
import { Fail } from '../../../../../../Class/Functional/Fail';
import { Holder } from '../../../../../../Class/Holder';
import { System } from '../../../../../../system';
import { RS } from '../../../../../../types/interface/RS';
export type I = {
    opt: {};
    done: any;
    data: string;
    end: any;
};
export type O = {
    stream: RS & $;
    done: any;
};
export default class ReadableStream_ extends Holder<I, O> {
    private _emitter;
    constructor(system: System);
    f({ opt }: I, done: Done<O>, fail: Fail): Promise<void>;
    private _input_data;
    private _input_end;
    onIterDataInputData(name: keyof I, data: any): void;
    b(): void;
}
